Public API
Get AI Instructions for Language
Retrieves the organization description and all AI instructions for a specific language.
GET
/
api
/
public
/
ai-instructions
/
{lang}
Get AI instructions for a language
curl --request GET \
--url https://app.prismy.io/api/public/ai-instructions/{lang} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.prismy.io/api/public/ai-instructions/{lang}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.prismy.io/api/public/ai-instructions/{lang}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"language": "fr-FR",
"orgDescription": "Prismy is a translation management platform for software teams.",
"instructions": [
{
"id": 42,
"prompt": "Use 'vous' instead of 'tu' to maintain a professional tone.",
"source": "github",
"repository": "my-repo",
"bundle": "dashboard",
"bundlePattern": null
}
]
}Authorizations
API token from your organization settings
Path Parameters
Language code (e.g., en-US, fr-FR, es-ES)
Response
AI instructions retrieved successfully
⌘I
Get AI instructions for a language
